/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.timetable;

import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class CorotationProperty {

	private StringProperty target = new SimpleStringProperty();
	private StringProperty endTime = new SimpleStringProperty();
	private StringProperty deltaSpeedMin = new SimpleStringProperty();
	private StringProperty deltaSpeedMax = new SimpleStringProperty();
	private StringProperty deltaSpreadMin = new SimpleStringProperty();
	private StringProperty deltaSpreadMax = new SimpleStringProperty();
	private StringProperty distanceSun = new SimpleStringProperty();
	private StringProperty deltaLong = new SimpleStringProperty();
	private StringProperty longStart = new SimpleStringProperty();
	private StringProperty spreadCir = new SimpleStringProperty();
	private SimpleBooleanProperty isInsideSpiral = new SimpleBooleanProperty();

	public CorotationProperty(String name) {
		target.set(name);
	}

	public String getTarget() {
		return target.get();
	}

	public void setTarget(String target) {
		this.target.set(target);
	}

	public String getDeltaSpeedMin() {
		return deltaSpeedMin.get();
	}

	public void setDeltaSpeedMin(String deltaSpeedMin) {
		this.deltaSpeedMin.set(deltaSpeedMin);
	}

	public String getDeltaSpeedMax() {
		return deltaSpeedMax.get();
	}

	public void setDeltaSpeedMax(String deltaSpeedMax) {
		this.deltaSpeedMax.set(deltaSpeedMax);
	}

	public String getDistanceSun() {
		return distanceSun.get();
	}

	public void setDistanceSun(String distanceSun) {
		this.distanceSun.set(distanceSun);
	}

	public String getDeltaLong() {
		return deltaLong.get();
	}

	public void setDeltaLong(String deltaLong) {
		this.deltaLong.set(deltaLong);
	}

	public String getLongStart() {
		return longStart.get();
	}

	public void setLongStart(String longStart) {
		this.longStart.set(longStart);
	}

	public String getSpreadCir() {
		return spreadCir.get();
	}

	public void setSpreadCir(String spreadCir) {
		this.spreadCir.set(spreadCir);
	}

	public boolean getIsInsideSpiral() {
		return isInsideSpiral.get();
	}

	public void setIsInsideSpiral(boolean isInsideSpiral) {
		this.isInsideSpiral.set(isInsideSpiral);
	}

	public String getEndTime() {
		return endTime.get();
	}

	public void setEndTime(String endTime) {
		this.endTime.set(endTime);
	}

	public String getDeltaSpreadMin() {
		return deltaSpreadMin.get();
	}

	public void setDeltaSpreadMin(String deltaSpreadMin) {
		this.deltaSpreadMin.set(deltaSpreadMin);
	}

	public String getDeltaSpreadMax() {
		return deltaSpreadMax.get();
	}

	public void setDeltaSpreadMax(String deltaSpreadMax) {
		this.deltaSpreadMax.set(deltaSpreadMax);
	}

}
